| Home | Libraries | People | FAQ | More

## Struct template listN

boost::proto::listN — A type sequence, for use as the 2nd parameter to the `proto::expr<>` class template.

## Synopsis

    template<typename... Arg>
    struct listN {
      // types
      typedef ArgM childM;  // For each M in [0,N)
      static const long arity;
    };

## Description

A type sequence, for use as the 2nd parameter to the `proto::expr<>` class template. The types in the sequence correspond to the children of a node in an expression tree.